using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DuckModel
{
    class RubberDucky : DuckBehaviour
    {
        public override void Display()
        {
            Console.WriteLine("drew a Rubber ducky");
        }

        RubberDucky()
        {
            base.SetFlyBehaviour(new NoFly());
            base.SetQuackBehaviour(new Squeak());
        }
    }
}
